diff -pruN 0.30.4-3/debian/changelog 0.30.4-4/debian/changelog
--- 0.30.4-3/debian/changelog	2021-01-26 18:06:46.000000000 +0000
+++ 0.30.4-4/debian/changelog	2021-02-03 12:27:14.000000000 +0000
@@ -1,3 +1,10 @@
+cyvcf2 (0.30.4-4) unstable; urgency=medium
+
+  * Disable failing test on i386 using
+    dpkg-architecture
+
+ -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 17:57:14 +0530
+
 cyvcf2 (0.30.4-3) unstable; urgency=medium
 
   * Attempt fixing i386 FTBFS with skipping
diff -pruN 0.30.4-3/debian/patches/i386.patch 0.30.4-4/debian/patches/i386.patch
--- 0.30.4-3/debian/patches/i386.patch	2021-01-26 18:05:46.000000000 +0000
+++ 0.30.4-4/debian/patches/i386.patch	2021-02-03 12:25:20.000000000 +0000
@@ -1,23 +1,20 @@
-Description: Skip test on i386 because the file ends up with a few NaN values due to exceeding ranges, hence skipping
-Author: Nilesh Patra <npatra974@gmail.com>
-Last-Update: 2021-01-26
 --- a/cyvcf2/tests/test_reader.py
 +++ b/cyvcf2/tests/test_reader.py
 @@ -12,6 +12,8 @@
  except ImportError:
    from pathlib2 import Path  # python 2 backport
  
-+import platform
++import subprocess
 +import unittest
  
  HERE = os.path.dirname(__file__)
  VCF_PATH = os.path.join(HERE, "test.vcf.gz")
-@@ -1131,6 +1133,8 @@
+@@ -1131,6 +1133,7 @@
          vcf.seqlens
      assert isinstance(ae.exception, AttributeError)
  
-+@unittest.skipIf((platform.uname().machine == 'i386' or platform.uname().machine == 'x86_64') and platform.architecture()[0] == '32bit', \
-+        reason="The file ends up with a few NaN values on i386 due to exceeding ranges, hence skipping")
++@unittest.skipIf('i386' in str(subprocess.check_output('dpkg-architecture -qDEB_BUILD_ARCH', shell=True)), reason="The file ends up with a few NaN values on i386 due to exceeding ranges, hence skipping")
  def test_set_unknown_format():
      vcf = VCF(VCF_PATH)
      vcf.add_format_to_header({'ID':'NEW', 'Type':'Float', 'Number':1, 'Description':'...'})
+
